function vektor=idealni(dat,lv)
% Pomocna funkce pro vyhodnoceni ROC charakteristik jednotlivych detektoru
%
% 2008   Michal Adamec VUT Brno (v ramci Diplomove prace - Moderni rozpoznavace reci)

n= dlmread(dat);  % nactu data v ms
m = max(n(:,2));
r = lv/m;  % koeficient rozsireni nactene matice n, pro srovnani poctu vzorku signalu po vystupu z VAD a nalejblovaneho signalu
n_new = round(n.*r);

radek = size(n_new,1);  % zjisti pocet radku matice
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% slozeni vektoru nul a jednicek - idealni detekce

for i=1:radek
    a = 0;
    b = 0;
     if i==1
        a = zeros(1,n_new(i,2)-n_new(i,1));  % nuly pro prvni usek
        b = ones(1,n_new(i+1,1)-n_new(i,2));
        vektor = [a b];
    
    elseif i>1 && i<radek
        a = zeros(1,n_new(i,2)-n_new(i,1));  % nuly pro prvni usek
        b = ones(1,n_new(i+1,1)-n_new(i,2));
        vektor = [vektor a b];
  
    elseif i==radek
        a = zeros(1,n_new(i,2)-n_new(i,1));  % nuly pro prvni usek
        vektor = [vektor a];
    end

end
vektor=vektor(1:lv);
vektor=vektor';                                 % vektor idealni detekce


